Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# availableIndex Struct Reference
[RPMDEP.]

`#include <depends.h>`

## Data Fields
availableIndexEntry * | index
int | size

## Detailed Description

Index of all available items.

Definition at line 81 of file depends.h.

## Field Documentation

struct availableIndexEntry* availableIndex::index

| Array of available items. Definition at line 82 of file depends.h. Referenced by alAllSatisfiesDepend(), alCreate(), alFreeIndex(), and alMakeIndex().

int availableIndex::size

| No. of available items. Definition at line 83 of file depends.h. Referenced by alAllSatisfiesDepend(), alCreate(), alFreeIndex(), and alMakeIndex().

The documentation for this struct was generated from the following file:

- lib/depends.h